gr::radar::qtgui_scatter_plot_impl Class Reference

`#include <qtgui_scatter_plot_impl.h>`

Inheritance diagram for gr::radar::qtgui_scatter_plot_impl:

## Public Member Functions

| qtgui_scatter_plot_impl (int interval, std::string label_x, std::string label_y, std::vector< float > axis_x, std::vector< float > axis_y, std::string label)
| ~qtgui_scatter_plot_impl ()
void | handle_msg (pmt::pmt_t msg)
void | run_gui ()

## Public Attributes

std::vector< float > | d_axis_x
std::vector< float > | d_axis_y
std::vector< float > | d_x
std::vector< float > | d_y
std::string | d_label_x
std::string | d_label_y
bool | d_xy_read
std::string | d_label
pmt::pmt_t | d_port_id_in
int | d_argc
char * | d_argv
QApplication * | d_qApplication
int | d_interval
scatter_plot * | d_main_gui

## Additional Inherited Members

Public Types inherited from gr::radar::qtgui_scatter_plot
typedef std::shared_ptr< qtgui_scatter_plot > | sptr
Static Public Member Functions inherited from gr::radar::qtgui_scatter_plot
static sptr | make (int interval, std::string label_x, std::string label_y, std::vector< float > axis_x, std::vector< float > axis_y, std::string label="")
| Return a shared_ptr to a new instance of radar::qtgui_scatter_plot.

## Constructor & Destructor Documentation

## qtgui_scatter_plot_impl()

gr::radar::qtgui_scatter_plot_impl::qtgui_scatter_plot_impl | ( | int | interval,
|  | std::string | label_x,
|  | std::string | label_y,
|  | std::vector< float > | axis_x,
|  | std::vector< float > | axis_y,
|  | std::string | label )

## ~qtgui_scatter_plot_impl()

gr::radar::qtgui_scatter_plot_impl::~qtgui_scatter_plot_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::qtgui_scatter_plot_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## run_gui()

void gr::radar::qtgui_scatter_plot_impl::run_gui | ( |  | ) |

## Member Data Documentation

## d_argc

int gr::radar::qtgui_scatter_plot_impl::d_argc

## d_argv

char* gr::radar::qtgui_scatter_plot_impl::d_argv

## d_axis_x

std::vector<float> gr::radar::qtgui_scatter_plot_impl::d_axis_x

## d_axis_y

std::vector<float> gr::radar::qtgui_scatter_plot_impl::d_axis_y

## d_interval

int gr::radar::qtgui_scatter_plot_impl::d_interval

## d_label

std::string gr::radar::qtgui_scatter_plot_impl::d_label

## d_label_x

std::string gr::radar::qtgui_scatter_plot_impl::d_label_x

## d_label_y

std::string gr::radar::qtgui_scatter_plot_impl::d_label_y

## d_main_gui

scatter_plot* gr::radar::qtgui_scatter_plot_impl::d_main_gui

## d_port_id_in

pmt::pmt_t gr::radar::qtgui_scatter_plot_impl::d_port_id_in

## d_qApplication

QApplication* gr::radar::qtgui_scatter_plot_impl::d_qApplication

## d_x

std::vector<float> gr::radar::qtgui_scatter_plot_impl::d_x

## d_xy_read

bool gr::radar::qtgui_scatter_plot_impl::d_xy_read

## d_y

std::vector<float> gr::radar::qtgui_scatter_plot_impl::d_y

The documentation for this class was generated from the following file:

- qtgui_scatter_plot_impl.h